%bcond_without check

%global goipath         github.com/julienschmidt/httprouter
Version:                1.3.0

%gometa

%global common_description %{expand:
HttpRouter is a lightweight high performance HTTP request router (also called
multiplexer or just mux for short) for Go.

In contrast to the default mux of Go's net/http package, this router supports
variables in the routing pattern and matches against the request method. It also
scales better.

The router is optimized for high performance and a small memory footprint. It
scales well even with very long paths and a large number of routes. A
compressing dynamic trie (radix tree) structure is used for efficient matching.}

%global golicenses      LICENSE
%global godocs          README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:    2%{?dist}
Summary:        High performance http request router that scales well

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.3.0-2
- Rebuilt for loongarch64

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-1
- initial build
